/* Project-wide style */

@import url('https://fonts.googleapis.com/css2?family=Rubik:wght@400;700&display=swap');

body {
  font-family: 'Poppins', sans-serif;
  justify-content: center;
  align-items: center;
}

html {
  scroll-behavior: smooth;
  font-family: Helvetica, sans-serif, Arial;
}


.container-form{
  width: 100%;
  margin: 2rem auto;
  display: flex;
  flex-direction: column;
  width: 625px;
  padding: .75rem;

}

.form-input{
  margin: 10px 0px 20px 0px;
  text-align: center;
  font-family: 'Poppins', sans-serif;
}

.input-nama{
  position: relative;
  margin-bottom: 20px;
  height: 60px;
  padding: 2px 20px;
  border: none;
  background-color: #f7f7f7; 
  font-size: 15px;
  font-family: 'Poppins', sans-serif;
  width: 100%;
  outline: none;
}

.input-email{
  position: relative;
  margin-bottom: 20px;
  height: 60px;
  padding: 2px 20px;
  border: none;
  background-color: #f7f7f7;
  font-size: 15px;
  font-family: 'Poppins', sans-serif;
  width: 100%;
  outline: none;
}

.btn{
  color: #e0e0e0;
}

/* ================================ CSS buat acordion */

.container-acordion{
  /* margin-left: 25%; */
  position: relative;
  margin-top: 10px;
  width: 100%;
  margin: 2rem auto;
  display: flex;
  flex-direction: column;
  width: 625px;
  padding: .75rem;
}
.acordion{
  align-items: center;
  /* box-sizing: border-box; */
  margin: 0;
  padding: 0;
  width: 625px;
}

.content-parent{
  position: relative;
  margin: 10px 20px;
}

.judul-acordion{
  position: relative;
  padding: 10px;
  background: #07bdab;
  cursor: pointer;
  color: white;
}

.acordion .content-parent .judul-acordion::before{
  content: "+";
  position: absolute;
  top: 50%;
  right: 20px;
  transform: translateY(-50%);
  font-size: 1.5em;
}

.acordion .content-parent.active .judul-acordion::before{
  content: "-";
}

.acordion .content-parent .isi-acordion{
  position: relative;
  background: rgb(255, 255, 255);
  height: 0;
  overflow: hidden;
  transition: 0.5s;
  overflow-y: auto;
  overflow: hidden;
}
.acordion .content-parent.active .isi-acordion{
  height: 100px;
}


/* ================================== CSS buat chatbot */

.fa-chevron-circle-right{
  color: #07bdab;

}


/* .chat-popup{
  position: fixed;
  right:50px;
  bottom: 10px;
  background: dodgerblue;
  color: white;
  width:60px;
  height: 60px;
  border-radius: 50%;
  opacity: 0.8;
  transition: opacity 0.3s;
  box-shadow: 0 5px 5px rgba(0,0,0,0.4);
  border: none;
  outline: none;
} */

.chat-popup:hover{
  opacity: 1;
}

.chat-bar-collapsible {
  position: fixed;
  bottom: 0;
  right: 50px;
  box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
}

.collapsible {
  /* background-color: rgb(82, 151, 255); */
  background-color: #07bdab;
  color: white;
  cursor: pointer;
  padding: 18px;
  width: 350px;
  text-align: left;
  outline: none;
  font-size: 18px;
  border-radius: 10px 10px 0px 0px;
  border: 3px solid white;
  border-bottom: none;
  font-family: 'Poppins', sans-serif;
  outline: none;
  border: none;
}

.content {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.2s ease-out;
  background-color: #f1f1f1;
}

.full-chat-block {
  width: 350px;
  background: white;
  text-align: center;
  overflow: auto;
  scrollbar-width: none;
  height: max-content;
  transition: max-height 0.2s ease-out;
}

.outer-container {
  min-height: 500px;
  bottom: 0%;
  position: relative;
}

.chat-container {
  max-height: 500px;
  width: 100%;
  position: absolute;
  bottom: 0;
  left: 0;
  scroll-behavior: smooth;
  hyphens: auto;
}

.chat-container::-webkit-scrollbar {
  display: none;
}

.chat-bar-input-block {
  display: flex;
  float: left;
  box-sizing: border-box;
  justify-content: space-between;
  width: 100%;
  align-items: center;
  background-color: rgb(235, 235, 235);
  border-radius: 10px 10px 0px 0px;
  padding: 10px 0px 10px 10px;
}

.chat-bar-icons {
  display: flex;
  justify-content: space-evenly;
  box-sizing: border-box;
  width: 25%;
  float: right;
  font-size: 25px;
}

#chat-icon:hover {
  opacity: .7;
}

/* Chat bubbles */

#userInput {
  width: 75%;
}

.input-box {
  float: left;
  border: none;
  box-sizing: border-box;
  width: 100%;
  border-radius: 10px;
  padding: 10px;
  font-size: 16px;
  color: #000;
  background-color: white;
  outline: none
}

.userText {
  color: white;
  font-family: Helvetica;
  font-size: 16px;
  font-weight: normal;
  text-align: right;
  clear: both;
}

.userText span {
  line-height: 1.5em;
  display: inline-block;
  background: #5ca6fa;
  padding: 10px;
  border-radius: 8px;
  border-bottom-right-radius: 2px;
  max-width: 80%;
  margin-right: 10px;
  animation: floatup .5s forwards
}

.botText {
  color: #000;
  font-family: Helvetica;
  font-weight: normal;
  font-size: 16px;
  text-align: left;
}

.botText span {
  line-height: 1.5em;
  display: inline-block;
  background: #e0e0e0;
  padding: 10px;
  border-radius: 8px;
  border-bottom-left-radius: 2px;
  max-width: 80%;
  margin-left: 10px;
  animation: floatup .5s forwards
}

@keyframes floatup {
  from {
      transform: translateY(14px);
      opacity: .0;
  }
  to {
      transform: translateY(0px);
      opacity: 1;
  }
}

@media screen and (max-width:600px) {

  .container-form{
    width: 100%;
    margin: 2rem auto;
    display: flex;
    flex-direction: column;
    width: 325px;
    max-width: 625px;
    padding: .75rem;
  
  }
  
  .form-input{
    margin: 10px 0px 20px 0px;
    text-align: center;
    font-family: 'Poppins', sans-serif;
  }
  
  .input-nama{
    position: relative;
    margin-bottom: 20px;
    height: 60px;
    padding: 2px 20px;
    border: none;
    background-color: #f7f7f7; 
    font-size: 15px;
    font-family: 'Poppins', sans-serif;
    width: 100%;
    outline: none;
  }
  
  .input-email{
    position: relative;
    margin-bottom: 20px;
    height: 60px;
    padding: 2px 20px;
    border: none;
    background-color: #f7f7f7;
    font-size: 15px;
    font-family: 'Poppins', sans-serif;
    width: 100%;
    outline: none;
  }




  .sering-ditanya{
    width: 100%;
    margin: 2rem auto;
    display: flex;
    flex-direction: column;
    padding: .75rem;
  }

  .container-acordion{
    width: 100%;
    margin: 2rem auto;
    display: flex;
    flex-direction: column;
    width: 325px;
    padding: .75rem;
  }
  .acordion{
    /* box-sizing: border-box; */
    margin: 0;
    padding: 0;
    width: 350px;
  }

  .judul-acordion{
    position: relative;
    padding: 8px;
    padding-right: 20px;
    background: #07bdab;
    cursor: pointer;
    color: white;
  }

  .acordion .content-parent .judul-acordion::before{
    content: "+";
    position: absolute;
    top: 50%;
    right: 5px;
    transform: translateY(-50%);
    font-size: 1.5em;
  }
  
  .acordion .content-parent.active .judul-acordion::before{
    content: "-";
  }


  .full-chat-block {
      width: 100%;
      border-radius: 0px;
  }
  .chat-bar-collapsible {
      position: fixed;
      bottom: 0;
      right: 0;
      width: 100%;
  }
  .collapsible {
      width: 100%;
      border: 0px;
      border-top: 3px solid white;
      border-radius: 0px;
  }
}